This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 604514 - seg fault and core dump when using system-config-display
seg fault and core dump when using system-config-display
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-16 02:25 EDT by Mustafa Mehmed
Modified: 2011-06-27 14:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:20:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
command line output when running system-config-display (939 bytes, text/plain)
2010-06-16 02:25 EDT, Mustafa Mehmed
no flags Details

  None (edit)
Description Mustafa Mehmed 2010-06-16 02:25:33 EDT
Created attachment 424361 [details]
command line output when running system-config-display

Description of problem: system-config-display crashes with a seg fault and core dump


Version-Release number of selected component (if applicable):
system-config-display-2.2-1.fc12.x86_64

How reproducible:
crashes every time

Steps to Reproduce:
1. run system-config-display either at that command line or through menu
2.
3.
  
Actual results:
crash

Expected results:
program to run

Additional info:
1. kernel 2.6.33.5-124.fc13.x86_64 #1 SMP Fri Jun 11 09:38:12 UTC 2010 x86_64 x86_64 x86_64 GNU/Linux
2. python-2.6.4-27.fc13.x86_64
Comment 1 Matěj Cepl 2010-06-21 06:33:10 EDT
$ system-config-display -v
Read configuration file /etc/X11/xorg.conf
Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 314, in <module>
    hardware_state = XF86HardwareState(xconfig)
  File "/usr/share/system-config-display/xhwstate.py", line 174, in __init__
    self.init_from_xconfig(xconfig)
  File "/usr/share/system-config-display/xhwstate.py", line 293, in init_from_xconfig
    self.all_resolutions.sort (compare_resolution)
  File "/usr/share/system-config-display/xhwstate.py", line 57, in compare_resolution
    (w1, h1) = resolution_from_string(res1)
  File "/usr/share/system-config-display/xhwstate.py", line 47, in resolution_from_string
    return (int(tokens[0]), int(tokens[1]))
IndexError: list index out of range
/usr/share/system-config-display/system-config-display: line 2: 16302 Segmentation fault      (core dumped) python2 /usr/share/system-config-display/xconf.py $@
Comment 2 Joachim Frieben 2010-12-17 14:14:49 EST
This appears to be the same issue, seen on F14, latest build (system-config-display-2.2-3.fc14):

$ system-config-display
Traceback (most recent call last):
  File "/usr/share/system-config-display/xconf.py", line 378, in <module>
    dialog = xConfigDialog.XConfigDialog(hardware_state, xconfig, videocard.VideoCardInfo())
  File "/usr/share/system-config-display/xConfigDialog.py", line 640, in __init__
    if len(self.xconfig.layout[0].adjacencies) > 1:
IndexError: index out-of-bounds
Comment 3 Joachim Frieben 2011-02-12 09:01:51 EST
On fully updated F13 system, system-config-display now runs without any problem. This bug should be safe to close, thanks!
Installed package: system-config-display-2.2-1.fc12.x86_64.
Comment 4 Bug Zapper 2011-06-02 06:40:03 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-27 14:20:35 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.